<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">
    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/n_formBack">


        <androidx.cardview.widget.CardView
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintDimensionRatio="H,1:1"
            app:layout_constraintWidth_percent="0.5"
            app:cardElevation="4dp"
            app:cardCornerRadius="35dp">

            <ImageView
                android:id="@+id/imageviewQrReader"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/a_ic_qr_code_scan"
                android:contentDescription="@string/qrCode" />

            <com.facebook.shimmer.ShimmerFrameLayout
                android:id="@+id/shimmer_view_container"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@id/recyclerViewRequest"
                app:layout_constraintEnd_toEndOf="@id/recyclerViewRequest"
                app:layout_constraintStart_toStartOf="@id/recyclerViewRequest"
                app:layout_constraintTop_toTopOf="@id/recyclerViewRequest">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@color/n_recyclerLoadingBack"
                    android:gravity="center"
                    android:orientation="vertical" />

            </com.facebook.shimmer.ShimmerFrameLayout>

        </androidx.cardview.widget.CardView>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
